package de.mdelab.mlsdm.interpreter.debug.ui.breakpoints;

import org.eclipse.core.resources.IResource;
import org.eclipse.debug.core.DebugException;

import de.mdelab.sdm.interpreter.code.debug.ui.SDDebugUiConstants;
import de.mdelab.sdm.interpreter.code.debug.ui.breakpoints.SDDebugBreakpoint;

public class MLSDMDebugBreakpoint extends SDDebugBreakpoint {
	
	public MLSDMDebugBreakpoint(	final String elementUUID,
									final String elementName,
									final String uri,
									final String expression, 
									final String expressionLanguage,
									final IResource p_resource )
	throws DebugException {
		super( elementUUID, elementName, uri, expression, expressionLanguage, p_resource );
	}
	
	public MLSDMDebugBreakpoint() {
		super();
	}

	@Override
	public String getModelIdentifier()
	{
		return SDDebugUiConstants.DEBUG_MODEL_IDENTIFIER;
	}

	@Override
	protected String getBreakpointMarkerID()
	{
		return IMLSDMDebugUiBreakpointConstants.MLSDM_BREAKPOINT_MARKER_ID;
	}
}
