package de.mdelab.mlsdm.interpreter.debug;

import org.eclipse.emf.ecore.EObject;

import de.mdelab.mlcore.MLElementWithUUID;
import de.mdelab.resourceSetSynchronizer.EObjectUuidCalculator;

public class MLSDMElementUuidCalculator extends EObjectUuidCalculator
{
	@Override
	public String calculateUuid(final EObject eObject)
	{
		if (eObject instanceof MLElementWithUUID)
		{
			return ((MLElementWithUUID) eObject).getUuid();
		}
		else
		{
			return super.calculateUuid(eObject);
		}
	}
}
