package de.mdelab.mlsdm.interpreter.debug.client;

import de.mdelab.mlcore.MLElementWithUUID;
import de.mdelab.mlsdm.Activity;
import de.mdelab.mlsdm.interpreter.debug.MLSDMElementUuidCalculator;
import de.mdelab.resourceSetSynchronizer.EObjectUuidCalculator;
import de.mdelab.sdm.interpreter.core.debug.client.SDDebugClient;

public class MLSDMDebugClient extends SDDebugClient<MLElementWithUUID, Activity> {

	//public static final int	MLSDM_DEBUG_CLIENT_DEFAULT_PORT	= 19101;
	
	private MLSDMElementUuidCalculator	storyDiagramElementUuidCalculator;

	public MLSDMDebugClient( 	final int debugClientPort,
								final int pi_synchronizerAdapterPort ) {
		super( debugClientPort, pi_synchronizerAdapterPort );
	}

	@Override
	protected EObjectUuidCalculator getStoryDiagramElementUuidCalculator()
	{
		if (this.storyDiagramElementUuidCalculator == null)
		{
			this.storyDiagramElementUuidCalculator = new MLSDMElementUuidCalculator();
		}

		return this.storyDiagramElementUuidCalculator;
	}

}
